Allow playlist columns to be resized

December 28, 2011 19:51 - Artem S. Tashkinov

Status: Closed Start date: December 28, 2011

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/gtkui Estimated time: 0.00 hour

Target version: 3.4   

Affects version:    

Description

Currently playlist columns cannot be resized.

Also it will be very nice to have a menu item called "Automatically Resize Playlist Columns" so that Auducaious automatically resized

columns to match their contents. If the user decides to resize them, then this menu item should get unticked automatically.

History

#1 - December 29, 2011 03:55 - John Lindgren

- Subject changed from Allow to resize playlist columns/Add a menu (checkbox) option to automatically resize columns to Allow to playlist columns to

be resized

#2 - December 29, 2011 03:55 - John Lindgren

- Subject changed from Allow to playlist columns to be resized to Allow playlist columns to be resized

#3 - December 29, 2011 17:34 - John Lindgren

- Category set to plugins/gtkui

#4 - December 06, 2012 18:52 - Grant Farnsworth

As mentioned in the forum by Netslovdlyasnov Netslovdlyasnov, the addition of the line

gtk_tree_view_column_set_resizable (tree_column, 1);

just before the call to gtk_tree_view_append_column in libaudgui/list.c fixes this issue.

#5 - December 16, 2012 21:03 - John Lindgren

- File aud-resize-columns.diff added

- File gtkui-resize-columns.diff added

1) Automatically resizing columns is not possible.  We used to do it, but it makes GTK+ become very slow with a large playlist (as in, the CPU pegged

at 100% for around 30 seconds).

2) Only calling gtk_tree_view_column_set_resizable() is not enough, because the column sizes are not synchronized between playlists and are lost

when Audacious is closed and restarted.

I am attaching a patch that fully implements resizeable columns, but it cannot be applied right now because of some bugs in GTK+ that it exposes.
#6 - January 14, 2013 02:59 - John Lindgren

- File gtkui-save-column-widths.diff added

The columns are now marked "resizable" to GTK+ [1].  I am attaching an updated patch for gtkui that will save and restore column widths once the

necessary patches [2] are applied to GTK+.

[1] https://github.com/audacious-media-player/audacious/commit/5dadaafc29f01b2837d01ecc522281b22e5cfc04

[2] https://mail.gnome.org/archives/gtk-devel-list/2013-January/msg00032.html

#7 - January 30, 2013 00:00 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.4

- % Done changed from 0 to 100

Above-mentioned patch is now committed.  GTK+ 3.8+ is required for this to work correctly.

https://github.com/audacious-media-player/audacious-plugins/commit/71f39cd4b2b0976c6812ccf538472fa125f28ca8

Files

aud-resize-columns.diff 605 BytesDecember 16, 2012 John Lindgren

gtkui-resize-columns.diff 9.85 KBDecember 16, 2012 John Lindgren

gtkui-save-column-widths.diff 7.87 KB January 14, 2013 John Lindgren
